Subject: Re: [PATCH] revision: introduce --exclude=<glob> to tame wildcards

From: Johannes Sixt <[email-masked]>
Date: Tue, 03 Sep 2013 22:02:56 +0200

Am 03.09.2013 18:03, schrieb Junio C Hamano:
> Johannes Sixt <[email-masked]> writes:
>> So I like the relative simplicity of this approach. Here is a bit of
>> documentation.
> 
> Oh, thanks for helping.  An example or two may also help, and using
> your original "I have branches and wip/" situation would be good.
> 
>         git log --exclude='wip/*' --branches::
> 
>                 Show history of local branches whose names do not
>                 match pattern `wip/*`.
> 
> 	git log --remotes --not --exclude='wip/*' --branches::
> 
> 		Show history of other people's work that are not
> 		merged to local branches whose names do not match
> 		pattern `wip/*`.
> 
> or something like that, perhaps?

Agreed and noted.

The new option must also be integrated in rev-parse. That will take a
bit more work.

I'll pick up the topic when I find the time to do so.

-- Hannes